<template>
  <v-app dark>
    <Nuxt />
  </v-app>
</template>

<script lang="ts">
import {
  Component,
  getModule,
  Prop,
  Vue,
  Watch,
} from "nuxt-property-decorator";
import { api } from "~/common/constaint";
import UserModule from "~/store/user";
import { redirectPage } from "~/utils/apiHanlers";

@Component({
  components: {},
})
export default class AdminLayout extends Vue {
  adminProduct = getModule(UserModule, this.$store);

  drawer = true;

  listCategory = [
    { title: "Collection", link: "/admin/shop/collection" },
    { title: "Product", link: "/admin/products" },
    { title: "Combo", link: "/admin/shop/combo" },
    { title: "Shipping", link: "/admin/shop/shipping" },
    { title: "Coupon", link: "/admin/shop/coupon" },
  ];

  listWebsite = [
    { title: "Interface" },
    { title: "Pages" },
    { title: "Menu" },
    { title: "Conversion action" },
  ];

  get href() {
    const path = this.$route.path;
    return path || "";
  }

  get isActiveListGroupShop() {
    const route = this.$route.path;
    return route.includes("/shop") ? true : false;
  }

  isActiveListItemShop(link: string) {
    const route = this.$route.path;
    if (route.includes(link)) {
      return route;
    }
    return "";
  }

  mounted() {
    // this.onGetMe();
  }

  async onGetMe() {
    await this.$store.dispatch("user/onGetMe", { ctx: this });
  }

  get userInfo() {
    return this.$store.state.user.userInfo;
  }

  get convertImage() {
    const siteInfo = this.$store.state.setting.siteInfo;
    if (siteInfo && siteInfo.logo) {
      return `${api}/${siteInfo.logo}`;
    }
    return "";
  }

  async onLogout() {
    try {
      this.$axios.setHeader("Authorization", "");
      await this.$store.dispatch("user/logout", { store: this.$store });
      redirectPage(`/auth/login`);
    } catch (error) {
      console.log("error :>> ", error);
    }
  }
}
</script>

<style>
.menu-active {
  padding: 11px 20px;
}
.list-shop__item:hover {
  background-color: #ecf0f1;
}

.menu-user {
  position: absolute;
  bottom: 24px;
  left: 0px;
  width: 100%;
}

.list-hover:hover {
  background: #f4f5f7;
}

.header-nav {
  background-color: #2d3539;
  height: 60px;
  width: 100%;
}
</style>
